#
# spec file for package python-unicodedata2
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-unicodedata2
Version:        15.1.0
Release:        2.4
Summary:        Python unicodedata backport/updates
License:        Apache-2.0 AND Python-2.0
Group:          Development/Languages/Python
URL:            https://github.com/fonttools/unicodedata2
Source:         https://github.com/fonttools/unicodedata2/archive/%{version}.tar.gz#/unicodedata2-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Unicodedata backport and updates for the latest unicode version.
The versions of this package match Unicode versions, so
unicodedata2==%{version} is data from Unicode %{version}.

%prep
%setup -q -n unicodedata2-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitearch}/unicodedata2.*.so
%{python_sitearch}/unicodedata2-%{version}*-info

%changelog
* Thu Jan  4 2024 ecsosa <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Dec 27 2023 Dirk Müller <dmueller@suse.com>
- update to 15.1.0:
  * Updated to Unicode 15.1 and added support for Python 3.12
* Wed Nov  9 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 15.0.0
  * Upgrade to Unicode 15.0.0
* Sun Jan 16 2022 Ben Greiner <code@bnavigator.de>
- Update to 14.0.0
  * Dropped support for EOL Python 2.7 and 3.5 (#47, #48)
  * Added support for Python 3.9 and 3.10, and PyPy3
  * Updated to Unicode 14.0 (#50)
* Wed Mar 25 2020 pgajdos@suse.com
- version update to 13.0.0
  * Upgrade to Unicode 13.0.0 (#34).
  * Build wheels for Python 3.8.
* Fri Feb  7 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 12.1.0
  * Upgrade to Unicode 12.1.0
  * Remove Python 3.4 support
* Wed Aug 28 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v12.0.0
